package lab2;
import java.awt.Frame;
import java.awt.Dimension;
import java.awt.SystemColor;
import java.awt.Label;
import java.awt.Rectangle;
import java.awt.TextField;
import java.awt.Button;
import java.awt.TextArea;
import java.awt.Font;
import java.awt.event.MouseListener;
import java.awt.event.MouseEvent;

public class LanzadorFrame extends Frame 
{
  private Label label1 = new Label();
  private TextField textField1 = new TextField();
  private Button button1 = new Button();
  private Button button2 = new Button();
  private TextArea textArea1 = new TextArea();
  private Presentacion pre;
  
  public LanzadorFrame()
  {
    try
    {
      jbInit();
    }
    catch(Exception e)
    {
      e.printStackTrace();
    }

  }

  private void jbInit() throws Exception
  {
    this.setLayout(null);
    this.setSize(new Dimension(400, 300));
    this.setTitle("Para lanzar Presentacion y asignar Logica de Negocio");
    this.setBackground(SystemColor.control);
    label1.setText("Nombre de la clase con la logica del negocio");
    label1.setBounds(new Rectangle(20, 30, 335, 30));
    label1.setFont(new Font("Dialog", 0, 13));
    textField1.setBounds(new Rectangle(20, 65, 345, 30));
    button1.setLabel("Ejecutar Presentacion");
    button1.setBounds(new Rectangle(80, 110, 205, 35));
    button1.addMouseListener(new java.awt.event.MouseAdapter()
      {
        public void mouseClicked(MouseEvent e)
        {
          button1_mouseClicked(e);
        }
      });
    button2.setLabel("Asignar Logica de Negocio");
    button2.setBounds(new Rectangle(80, 150, 205, 35));
    button2.addMouseListener(new java.awt.event.MouseAdapter()
      {
        public void mouseClicked(MouseEvent e)
        {
          button2_mouseClicked(e);
        }
      });
    textArea1.setBounds(new Rectangle(15, 210, 355, 55));
    this.add(textArea1, null);
    this.add(button2, null);
    this.add(button1, null);
    this.add(textField1, null);
    this.add(label1, null);
  }

  private void button1_mouseClicked(MouseEvent e)  {
     pre= new Presentacion();
     pre.setVisible(true);
  }

  private void button2_mouseClicked(MouseEvent e)    {
    try  {
         InterfaceLogicaNegocio intLN= (InterfaceLogicaNegocio)Class.forName(this.textField1.getText()).newInstance();
         pre.setLogicaNegocio(intLN);
         
     } catch (ClassNotFoundException e1)  {  System.out.println("Clase no encontrada");
     } catch (IllegalAccessException e1)  {  System.out.println("Acceso Ilegal");
     } catch (Exception ex)  {  ex.printStackTrace(); }
  }
}