package lab2;
import java.awt.Frame;
import java.awt.Dimension;
import java.awt.SystemColor;
import java.awt.Label;
import java.awt.Rectangle;
import java.awt.TextField;
import java.awt.Button;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.event.MouseListener;
import java.awt.event.MouseEvent;

public class Presentacion extends Frame 
{
  private Label label1 = new Label();
  private Label label2 = new Label();
  private TextField textField1 = new TextField();
  private Button button1 = new Button();
  private Label label3 = new Label();
  private TextField textField2 = new TextField();
  InterfaceLogicaNegocio logicaNegocio; 
  
  public Presentacion()
  {
    try
    {
      jbInit();
    }
    catch(Exception e)
    {
      e.printStackTrace();
    }

  }

  private void jbInit() throws Exception
  {
    this.setLayout(null);
    this.setSize(new Dimension(400, 300));
    this.setTitle("Este es el nivel de presentacion");
    this.setBackground(SystemColor.control);
    label1.setText("Escribe el nombre del usuario:");
    label1.setBounds(new Rectangle(5, 45, 175, 30));
    label2.setText("Escribe el password del usuario:");
    label2.setBounds(new Rectangle(5, 90, 175, 30));
    textField1.setBounds(new Rectangle(225, 35, 160, 30));
    button1.setLabel("Acceder al sistema");
    button1.setBounds(new Rectangle(65, 140, 250, 45));
    button1.addMouseListener(new java.awt.event.MouseAdapter()
      {
        public void mouseClicked(MouseEvent e)
        {
          button1_mouseClicked(e);
        }
      });
   
    label3.setBounds(new Rectangle(35, 215, 330, 50));
    textField2.setBounds(new Rectangle(225, 90, 160, 30));
    this.add(textField2, null);
    this.add(label3, null);
    this.add(button1, null);
    this.add(textField1, null);
    this.add(label2, null);
    this.add(label1, null);
  }

  public void setLogicaNegocio(InterfaceLogicaNegocio i)  {
    logicaNegocio=i;
  }
  public static void main(String[] args)  {

    Presentacion pre= new Presentacion();
    pre.setLogicaNegocio(new EntradaSistemaDB());
    pre.setVisible(true);
  }

  private void button1_mouseClicked(MouseEvent e)  {
    try   {
         boolean acceso =logicaNegocio.hacerLogin(this.textField1.getText(), this.textField2.getText());
          if (acceso) this.label3.setText("Adelante");
          else this.label3.setText("Acceso denegado");
    } catch (java.lang.NullPointerException exep) { this.label3.setText("No se ha asignado una logica de negocio");
    } catch (Exception ex) { ex.printStackTrace(); }
  }
}